package routers

import (
	"github.com/astaxie/beego"
	"github.com/astaxie/beego/context/param"
)

func init() {

	beego.GlobalControllerRouter["gd_gateway/controllers/ctrl_v1:CenterController"] = append(beego.GlobalControllerRouter["gd_gateway/controllers/ctrl_v1:CenterController"],
		beego.ControllerComments{
			Method: "Vehicle",
			Router: `/query/:code`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_gateway/controllers/ctrl_v1:CenterController"] = append(beego.GlobalControllerRouter["gd_gateway/controllers/ctrl_v1:CenterController"],
		beego.ControllerComments{
			Method: "Service",
			Router: `/service/:code`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

	beego.GlobalControllerRouter["gd_gateway/controllers/ctrl_v1:CenterController"] = append(beego.GlobalControllerRouter["gd_gateway/controllers/ctrl_v1:CenterController"],
		beego.ControllerComments{
			Method: "VehicleLogin",
			Router: `/token`,
			AllowHTTPMethods: []string{"get"},
			MethodParams: param.Make(),
			Params: nil})

}
