package utils

import (
	"context"
	"fmt"
	"gd_gateway/apis"
	"gd_gateway/rpc_apis_v1"
)

// TODO 没有注释
func ManagementCheckCountCode(merchantApiResult apis.CheckMerchantApiResult, errCode int) error {
	/*if accessCountId <= 0 {
		return nil
	}*/
	req := apis.ManagementCheckCountCodeReq{
		CountType:         merchantApiResult.CountType,
		AccessCountId:     merchantApiResult.AccessCountId,
		CountCode:         merchantApiResult.CountCode,
		Code:              fmt.Sprintf("%d", errCode),
		MerchantDataApiId: merchantApiResult.MerchantDataApiId,
		MerchantId:        merchantApiResult.MerchantId,
		UnitPrice:         merchantApiResult.UnitPrice,
		FeeType:           merchantApiResult.FeeType,
	}
	_, err := rpc_apis_v1.AuthCheck.ManagementCheckCountCode(context.Background(), &req)
	return err

}
