package middleware

import (
	"gd_gateway/errors"

	"gd_gateway/common.in/task"
	"gd_gateway/common.in/utils"
	"github.com/astaxie/beego/context"
)

func ExitCheck(ctx *context.Context) {
	checkTask := func() error {
		if utils.ExitRecieved == true {
			return errors.SystemError
		}
		return nil
	}
	// 执行以上定义的任务
	task.Do(&task.PanicRecover{
		Ctx:   ctx,
		LogID: ""}, ctx,
		checkTask,
	)
}
